FreeTDS API: tds_login Struct Reference

FreeTDS API

Loading...
Searching...
No Matches
Public Attributes | List of all members
tds_login Struct Reference
Collaboration diagram for tds_login:
[legend]

## Public Attributes
DSTR | app_name
int | block_size
unsigned int | bulk_copy:1
| if bulk copy should be enabled
DSTR | cafile
| certificate authorities file
TDS_CAPABILITIES | capabilities
DSTR | certificate_host_name
| certificate hostname to check, if empty use server_host_name
unsigned int | check_ssl_hostname:1
DSTR | client_charset
DSTR | client_host_name
TDS_INT | connect_timeout
DSTR | crlfile
| certificate revocation file
DSTR | database
DSTR | db_filename
| database filename to attach (MSSQL)
int | debug_flags
tds_dir_char * | dump_file
unsigned int | enable_tls_v1:1
unsigned int | enable_tls_v1_specified:1
TDS_TINYINT | encryption_level
unsigned int | gssapi_use_delegation:1
DSTR | instance_name
struct addrinfo * | ip_addrs
| ip(s) of server
DSTR | language
DSTR | library
unsigned int | mars:1
unsigned int | mutual_authentication:1
DSTR | new_password
| new password to set (TDS 7.2+)
DSTR | openssl_ciphers
unsigned char | option_flag2
DSTR | password
| password of account login
int | port
| port of database service
TDS_INT | query_timeout
unsigned int | readonly_intent:1
DSTR | routing_address
uint16_t | routing_port
DSTR | server_charset
| charset of server e.g.
DSTR | server_host_name
unsigned int | server_is_valid:1
DSTR | server_name
| server name (in freetds.conf)
DSTR | server_realm_name
| server realm name (in freetds.conf)
DSTR | server_spn
| server SPN (in freetds.conf)
unsigned int | suppress_language:1
TDS_USMALLINT | tds_version
| TDS version.
int | text_size
unsigned int | use_lanman:1
unsigned int | use_new_password:1
unsigned int | use_ntlmv2:1
unsigned int | use_ntlmv2_specified:1
unsigned int | use_utf16:1
DSTR | user_name
| account for login
unsigned int | valid_configuration:1

## Member Data Documentation

## ◆ server_charset

DSTR tds_login::server_charset

charset of server e.g.

iso_1

The documentation for this struct was generated from the following file:

- include/freetds/tds.h